%global eclipse_base   %{_libdir}/eclipse
%global install_loc    %{_datadir}/eclipse/dropins/man

Name:		eclipse-manpage
Version:	0.0.1
Release:	%mkrel 0.svn24060.1.5
Summary:	Man page viewer

Group:		Development/Java
License:	EPL
URL:		http://www.eclipse.org/linuxtools/projectPages/manpage/
## sh %{name}-fetch-src.sh
Source0:	%{name}-%{version}.tar.bz2
Source1:	%{name}-fetch-src.sh

BuildArch:	noarch

BuildRequires:	eclipse-pde >= 1:3.4.0
Requires:	eclipse-platform >= 3.4.0

%description
Plugin providing common interface for displaying a man page in a view or 
fetching its content for embedded display purposes (e.g hover help).

%prep
%setup -q 

JARS=""
for j in $(find -name \*.jar); do
if [ ! -L $j ] ; then
JARS="$JARS $j"
fi
done
if [ ! -z "$JARS" ] ; then
echo "These JARs should be deleted and symlinked to system JARs: $JARS"
exit 1
fi

%build
eclipse-pdebuild -f org.eclipse.linuxtools.man

%install
install -d -m 755 %{buildroot}%{install_loc}

%{__unzip} -q -d %{buildroot}%{install_loc} \
     build/rpmBuild/org.eclipse.linuxtools.man.zip 

%files
%{install_loc}
%doc org.eclipse.linuxtools.man-feature/license.html
%doc org.eclipse.linuxtools.man-feature/epl-v10.html


%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.0.1-0.svn24060.1.5.mga4
+ Revision: 521206
- Mageia 4 Mass Rebuild

* Sat Jan 19 2013 dmorgan <dmorgan> 0.0.1-0.svn24060.1.4.mga3
+ Revision: 389629
- Rebuild against fixed eclipse

* Fri Jan 11 2013 umeabot <umeabot> 0.0.1-0.svn24060.1.3.mga3
+ Revision: 349436
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 sander85 <sander85> 0.0.1-0.svn24060.1.2.mga3
+ Revision: 343777
- Fix build

* Fri May 13 2011 dmorgan <dmorgan> 0.0.1-0.svn24060.1.1.mga1
+ Revision: 98216
- imported package eclipse-manpage


* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.1-0.svn24060.1.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Jan 18 2010 Alexander Kurakov <akurtakov@redhat.com> 0.0.1-0.svn24060.1
- Fix review comments.

* Sat Jan 16 2010 Alexander Kurakov <akurtakov@redhat.com> 0.0.1-0.svn24060
- Initial package.
